<app-header></app-header>
<app-side-bar class="side-bar"></app-side-bar>
<h1>Create New User</h1>
<div class="card">
  <form [formGroup]="addUserForm" (submit)="createUser()">
    <p>
      <mat-form-field appearance="outline">
        <mat-label>UserName</mat-label>
        <input matInput placeholder="UserName" formControlName="username" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
        <mat-error
          *ngIf="
            addUserForm.controls['username'].errors &&
            addUserForm.controls['username'].hasError('required')
          "
        >
          username is required
        </mat-error>
        <mat-error
          *ngIf="
            addUserForm.controls['username'].errors &&
            addUserForm.controls['username'].hasError('minlength')
          "
        >
          minimum length is 3
        </mat-error>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>Email Address</mat-label>
        <input matInput placeholder="EmailAddress" formControlName="email" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
        <mat-error
          *ngIf="
            addUserForm.controls['email'].errors &&
            addUserForm.controls['email'].hasError('required')
          "
        >
          email is required
        </mat-error>
        <mat-error
          *ngIf="
            addUserForm.controls['email'].errors &&
            addUserForm.controls['email'].hasError('email')
          "
        >
          please enter a valid email
        </mat-error>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>Phone Number</mat-label>
        <input
          matInput
          placeholder="phoneNumber"
          formControlName="phoneNumber"
        />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
        <mat-error
          *ngIf="
            addUserForm.controls['phoneNumber'].errors &&
            addUserForm.controls['phoneNumber'].hasError('required')
          "
        >
          phoneNumber is required
        </mat-error>
        <mat-error
          *ngIf="
            addUserForm.controls['phoneNumber'].errors &&
            addUserForm.controls['phoneNumber'].hasError('minlength')
          "
        >
          minimum length is 10
        </mat-error>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>Blood Group</mat-label>
        <input matInput placeholder="bloodGroup" formControlName="bloodGroup" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
        <mat-error
          *ngIf="
            addUserForm.controls['bloodGroup'].errors &&
            addUserForm.controls['bloodGroup'].hasError('required')
          "
        >
          bloodGroup is required
        </mat-error>
        <mat-error
          *ngIf="
            addUserForm.controls['bloodGroup'].errors &&
            addUserForm.controls['bloodGroup'].hasError('minlength')
          "
        >
          minimum length is 1
        </mat-error>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>Password</mat-label>
        <input matInput placeholder="password" formControlName="password" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
        <mat-error
          *ngIf="
            addUserForm.controls['password'].errors &&
            addUserForm.controls['password'].hasError('required')
          "
        >
          password is required
        </mat-error>
        <mat-error
          *ngIf="
            addUserForm.controls['password'].errors &&
            addUserForm.controls['password'].hasError('minlength')
          "
        >
          minimum length is 4
        </mat-error>
      </mat-form-field>
    </p>
    <p>
      <button mat-raised-button color="primary" [disabled]="!addUserForm.valid">
        Create User
      </button>
    </p>
  </form>
</div>
